##############################################################################
# Copyright 1988 Fourgen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../all.4gm/i_contrl.4gs/main.4gl  1.1  Last Delta: 10/25/88
##############################################################################

globals "globals.4gl"

#######################################################################
main
#######################################################################
#
    clear screen
    whenever error call error_handler
    defer interrupt
    let scr1_max = 6
    let rec1_max = 100
    let progid = "all.i_contrl"
    open window win1 at 2,3 with 22 rows, 76 columns
        attribute (border, red)
    call init()
    call getrec1()
    clear window win1
    open window win2 at 2,3 with 22 rows, 76 columns
        attribute (blue)
    open form screen1 from "screen1"
    display form screen1
    call st_init()
    call ring_detail()
    exit program (0)
end main

#######################################################################
function getrec1()
#######################################################################
#  this function is for control files.  it creates a new record if
#  no records are found.  this needs to be done because ok_add should
#  be set to return false.
#
    define
        num_rows    smallint
    select count(*) into num_rows from stxcntrc
    if num_rows < 1
    then
        initialize m_xcntrc.* to null
        insert into stxcntrc values(m_xcntrc.*)
    end if
end function
# getrec1()
