#####################################################################
# Copyright (C) 1988,1989
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../all.4gm/i_xinfor.4gs/t_midlvl.4gl  1.3  Delta: 11/16/89
#####################################################################

globals "globals.4gl"

#####################################################################
function t_construct() 
# returning criteria
#####################################################################
# 
# construct the search criteria from the screen
#
    define
        criteria    char(256)   # selection criteria holding bin

    case p_src_type
      when "S"
        construct criteria on
            stxinfor.src_key, stxinfor.src_desc
          from 
            genj.src_key, genj.src_desc
      when "D"
        construct criteria on
            stxinfor.src_key, stxinfor.src_desc
          from 
            dept.src_key, dept.src_desc
      when "W"
        construct criteria on
            stxinfor.src_key, stxinfor.src_desc, stxinfor.src_char_desc,
            stxinfor.src_num_desc, stxinfor.commission 
          from
            whse.src_key, whse.src_desc, whse.src_char_desc,
            whse.src_num_desc, whse.department
      when "P"
        construct criteria on
            stxinfor.src_key, stxinfor.src_desc
          from 
            prdc.src_key, prdc.src_desc
      when "L"
        construct criteria on
            stxinfor.src_key, stxinfor.src_desc, stxinfor.src_char_desc,
            stxinfor.commission
          from 
            slsm.src_key, slsm.src_desc, slsm.src_char_desc,
            slsm.commission
      when "T"
        construct criteria on
            stxinfor.src_key, stxinfor.src_desc, stxinfor.src_num_desc,
            stxinfor.src_acct_no, stxinfor.acct_desc 
          from
            taxc.src_key, taxc.src_desc, taxc.src_num_desc,
            taxc.src_acct_no, taxc.acct_desc
      when "C"
        construct criteria on
            stxinfor.src_key, stxinfor.src_desc, stxinfor.src_num_desc
          from 
            comm.src_key, comm.src_desc, comm.src_num_desc
      when "R"
        construct criteria on
            stxinfor.src_key, stxinfor.src_desc, stxinfor.src_num_desc
          from 
            rsnc.src_key, rsnc.src_desc, rsnc.src_num_desc
      when "N"
        construct criteria on
            stxinfor.src_key, stxinfor.src_desc, stxinfor.src_num_desc
          from 
            rsnc.src_key, rsnc.src_desc, rsnc.src_num_desc
      when "I"
        construct criteria on
            stxinfor.src_key, stxinfor.src_desc, stxinfor.src_num_desc,
            stxinfor.src_char_desc
          from 
            disc.src_key, disc.src_desc, disc.src_num_desc,
            disc.src_char_desc
      when "B"
        construct criteria on
            stxinfor.src_key, stxinfor.src_desc
          from 
            buyr.src_key, buyr.src_desc
      when "M"
        construct criteria on
            stxinfor.src_key, stxinfor.src_desc, stxinfor.src_char_desc 
          from
            mthd.src_key, mthd.src_desc, mthd.src_char_desc
      otherwise
        construct criteria on
            stxinfor.src_type, stxinfor.src_key, stxinfor.src_desc, 
            stxinfor.src_num_desc, stxinfor.src_char_desc,
            stxinfor.src_acct_no
          from 
            allc.src_type, allc.src_key, allc.src_desc,
            allc.src_num_desc, allc.src_char_desc, allc.src_acct_no
    end case

    return criteria

end function 
#t_construct criteria()
