##############################################################################
# Copyright 1988 Fourgen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../all.4gm/o_actrng.4gs/globals.4gl  1.2  Last Delta: 12/11/89
##############################################################################

database standard

globals
    define
        progid   char(17),          # program identification
        rpt record                  # record for the report
            co_name like stxcntrc.co_name,
            curr_asset like stxcntrc.curr_asset,
            fixed_asset like stxcntrc.fixed_asset,
            curr_liab like stxcntrc.curr_liab,
            long_term_liab like stxcntrc.long_term_liab,
            capital like stxcntrc.capital,
            income like stxcntrc.income,
            cost_goods like stxcntrc.cost_goods,
            expense like stxcntrc.expense
        end record,
        curs record                 # record like the cursor
            co_name like stxcntrc.co_name,
            curr_asset like stxcntrc.curr_asset,
            fixed_asset like stxcntrc.fixed_asset,
            curr_liab like stxcntrc.curr_liab,
            long_term_liab like stxcntrc.long_term_liab,
            capital like stxcntrc.capital,
            income like stxcntrc.income,
            cost_goods like stxcntrc.cost_goods,
            expense like stxcntrc.expense
        end record,
        curs_next record            # next row of cursor
            co_name like stxcntrc.co_name,
            curr_asset like stxcntrc.curr_asset,
            fixed_asset like stxcntrc.fixed_asset,
            curr_liab like stxcntrc.curr_liab,
            long_term_liab like stxcntrc.long_term_liab,
            capital like stxcntrc.capital,
            income like stxcntrc.income,
            cost_goods like stxcntrc.cost_goods,
            expense like stxcntrc.expense
        end record,
        ct record                   # control record (don't change)
            prcname      char(35),  # process name (message on upper left)
            rtmargn      char(35),  # message on upper right margin
            prc_only     char(1),   # process only? (no report) "y" or "n"
            allow_int    char(1),   # allow interrupts? "y" or "n"
            quiet        smallint,  # display every "quiet" rows
            destin       char(150), # "screen","printer","pipe", or "filename"
            sel_join     char(200), # join portion of selection stmt
            sel_filter   char(200), # filter portion of selection stmt
            sel_order    char(200), # order by clause for above
            sel_stmt     char(1024),# select statement for report cursor
            num_rows     integer,   # number of rows in the cursor to process
            cur_row      integer    # current row being processed
        end record
end globals

