########################################################################
# Copyright (C) 1988,1989,1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../all.4gm/o_chtlst.4gs/lowlevel.4gl  1.2  Delta: 4/5/90
########################################################################

globals "globals.4gl"

#######################################################################
function before_group(group_key)
#######################################################################
#
    define
        group_key   char(20)    # group identification

    if group_key = "first_row" then
        # insert "on first row" code here
        return
    end if

    if group_key = "acct_cat" then
        # insert "before group of acct_cat" code here
        return
    end if

    if group_key = "processing_seq" then
        # insert "before group of processing_seq" code here
        return
    end if

    if group_key = "acct_no" then
        # insert "before group of acct_no" code here
        return
    end if

    if group_key = "subtotal_group" then
        # insert "before group of subtotal_group" code here
        return
    end if

end function
# before_group()

#######################################################################
function on_every_row()
#######################################################################
#  this function prepares the report record from the cursor record
#  and other data.
#
    let rpt.acct_cat = curs.acct_cat
    let rpt.co_name = al_compn()
    let rpt.acct_type = curs.acct_type
    let rpt.subtotal_group = curs.subtotal_group
    let rpt.acct_no = curs.acct_no
    let rpt.acct_desc = curs.acct_desc
    let rpt.incr_with_crdt = curs.incr_with_crdt
    let rpt.processing_seq = curs.processing_seq
    return
end function
# on_every_row()

#######################################################################
function after_group(group_key)
#######################################################################
#
    define
        group_key   char(20)    # group identification

    if group_key = "acct_cat" then
        # insert "after group of acct_cat" code here
        return
    end if

    if group_key = "processing_seq" then
        # insert "after group of processing_seq" code here
        return
    end if

    if group_key = "acct_no" then
        # insert "after group of acct_no" code here
        return
    end if

    if group_key = "subtotal_group" then
        # insert "after group of subtotal_group" code here
        return
    end if

    if group_key = "last_row" then
        # insert "on last row" code here
        return
    end if

end function
# after_group()


