#####################################################################
# Copyright (C) 1988,1989
# Fourgen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../all.4gm/o_xinfor.4gs/globals.4gl  1.2  Delta: 12/11/89
#####################################################################

database standard

globals
    define
        progid   char(17),          # program identification
        rpt record                  # record for the report
            src_type like stxinfor.src_type,
            co_name char(30),
            head1 char(79),
            head2 char(79),
            src_key like stxinfor.src_key,
            src_desc like stxinfor.src_desc,
            src_num_desc char(10),
            src_char_desc like stxinfor.src_char_desc,
            src_acct_no like stxinfor.src_acct_no,
            tail1 char(79),
            tail2 char(79),
            tail3 char(79),
            tail4 char(79),
            tail5 char(79),
            tail6 char(79)
        end record,
        curs record                 # record like the cursor
            src_type like stxinfor.src_type,
            src_key like stxinfor.src_key,
            src_desc like stxinfor.src_desc,
            src_num_desc like stxinfor.src_num_desc,
            src_char_desc like stxinfor.src_char_desc,
            src_acct_no like stxinfor.src_acct_no
        end record,
        curs_next record            # next row of cursor
            src_type like stxinfor.src_type,
            src_key like stxinfor.src_key,
            src_desc like stxinfor.src_desc,
            src_num_desc like stxinfor.src_num_desc,
            src_char_desc like stxinfor.src_char_desc,
            src_acct_no like stxinfor.src_acct_no
        end record,
        ct record                   # control record (don't change)
            prcname      char(35),  # process name (message on upper left)
            rtmargn      char(35),  # message on upper right margin
            prc_only     char(1),   # process only? (no report) "y" or "n"
            allow_int    char(1),   # allow interrupts? "y" or "n"
            quiet        smallint,  # display every "quiet" rows
            destin       char(150), # "screen","printer","pipe", or "filename"
            sel_join     char(200), # join portion of selection stmt
            sel_filter   char(200), # filter portion of selection stmt
            sel_order    char(200), # order by clause for above
            sel_stmt     char(1024),# select statement for report cursor
            num_rows     integer,   # number of rows in the cursor to process
            cur_row      integer    # current row being processed
        end record
end globals

