##############################################################################
# Copyright 1988 Fourgen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../all.4gm/i_xinfor.4gs/main.4gl  1.1  Delta: 9/12/89
##############################################################################

globals "globals.4gl"

#######################################################################
main
#######################################################################
#
    clear screen
    whenever error call error_handler
    defer interrupt
    let progid = "all.i_xinfor"
    open window win1 at 2,3 with 22 rows, 76 columns
        attribute (border, red)
    call init()
    clear window win1
    open window win2 at 2,3 with 22 rows, 76 columns
        attribute (blue)
    call get_src_type()
    call st_init()
    call t_main()
    display form screen1
    call ring_header()
    exit program (0)
end main

#####################################################################
function get_src_type()
# determines which screen to use
#####################################################################
# parse the command line for "-t X" where X is the source type.
# if the type is invalid or not found, screen will default to 2
# (all) and the browse filter will default to "1=1".  otherwise,
# the appropriate screen and filter will be chosen.
#
    define
        n smallint,
        src_type char(60)

    for n = 1 to num_args() - 1
        if arg_val(n) = "-t"
        then
            let src_type = arg_val(n+1)
            let p_src_type = upshift(src_type[1])
        end if
    end for

end function
# get_src_type()

