:
#####################################################################
# Copyright (C) 1988,1989
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../all.4gm/o_glsmry.4gs/make_gl.sh  1.6  Delta: 12/6/89
#####################################################################
#
# The purpose of this shell script is to change midlevel.4gl to be able
# to call the acct_per function that is only distributed with g/l.
#
# It is intended to be run once upon the installation of the g/l package.
#
# set MAKE to "make" if not set.
: ${MAKE:=make}
cwd=`pwd`

# test if acct_per is installed
if test -f $fg/accounting/lib.4gm/gl.4gs/acct_per.4gl
then
    # make sure the g/l libraries are compiled...
    cd $fg/accounting/lib.4gm/gl.4gs

    # don't show output - MAKE may fail if g/l install.gl hasn't been run
    # and there is no use showing the error messages on the screen.
    if $MAKE >/dev/null 2>&1
    then
        cd $cwd
        sed "s/call acct_null/call acct_per/" < midlevel.4gl > temp.4gl
        mv temp.4gl midlevel.4gl
    else
        cd $cwd
        sed "s/call acct_per/call acct_null/" < midlevel.4gl > temp.4gl
        mv temp.4gl midlevel.4gl
    fi
else
    sed "s/call acct_per/call acct_null/" < midlevel.4gl > temp.4gl
    mv temp.4gl midlevel.4gl
fi
